<?php

$hassidepre = $PAGE->blocks->region_has_content('side-pre', $OUTPUT);
$hassidepost = $PAGE->blocks->region_has_content('side-post', $OUTPUT);
$showsidepre = $hassidepre && !$PAGE->blocks->region_completely_docked('side-pre', $OUTPUT);
$showsidepost = $hassidepost && !$PAGE->blocks->region_completely_docked('side-post', $OUTPUT);

$custommenu = $OUTPUT->custom_menu();
$hascustommenu = (empty($PAGE->layout_options['nocustommenu']) && !empty($custommenu));

$bodyclasses = array();
if ($showsidepre && !$showsidepost) {
    $bodyclasses[] = 'side-pre-only';
} else if ($showsidepost && !$showsidepre) {
    $bodyclasses[] = 'side-post-only';
} else if (!$showsidepost && !$showsidepre) {
    $bodyclasses[] = 'content-only';
}
if ($hascustommenu) {
    $bodyclasses[] = 'has_custom_menu';
}
if (!empty($PAGE->theme->settings->tagline)) {

    $tagline = '<p class="tagline">'.$PAGE->theme->settings->tagline.'</p>';

} else {

    $tagline = '<!-- There was no custom tagline set -->';

}
if (!empty($PAGE->theme->settings->logo)) {
    $logourl = $PAGE->theme->settings->logo;
}else{
	$logourl =$OUTPUT->pix_url('logo', 'theme');
}
$displaylogo = !isset($PAGE->theme->settings->displaylogo) || $PAGE->theme->settings->displaylogo;
//*************************custom code******************************************
echo $OUTPUT->doctype() ?>

<html <?php echo $OUTPUT->htmlattributes() ?>>
<head>
    <title><?php echo $PAGE->title ?></title>
    <link rel="shortcut icon" href="<?php echo $OUTPUT->pix_url('favicon', 'theme')?>" />
    <meta name="description" content="<?php p(strip_tags(format_text($SITE->summary, FORMAT_HTML))) ?>" />
    <?php echo $OUTPUT->standard_head_html() ?>
</head>
<body id="<?php p($PAGE->bodyid) ?>" class="<?php p($PAGE->bodyclasses.' '.join(' ', $bodyclasses)) ?>">
<?php echo $OUTPUT->standard_top_of_body_html() ?>

<div id="page">

    <div id="page-header" class="clearfix">
        <!-- header logo -->
			<?php  if ($displaylogo) { ?>
				<h1 class="headermain"><img src="<?php echo $logourl?>" /><?php echo $tagline; ?></h1>
		   <?php }else{?>
				<h1 class="headermain"><?php echo $PAGE->heading ?></h1>
		   <?php }?>
		   <!-- header logo -->
        
       		<div class="headermenu">
       
                <?php
        if (!empty($PAGE->theme->settings->showuserpicture)) {
        		if (isloggedin() && !isguestuser()){
        			echo $OUTPUT->user_picture($USER, array('size'=>55));
        	
        		}			
        
        	}
        	echo $OUTPUT->login_info();
        			
            echo $OUTPUT->lang_menu();
	        echo $PAGE->headingmenu;
        ?>
        
        </div>
        <div class="clearfix"></div>
        <?php if ($hascustommenu) { ?>
        <div id="custommenuwrapper">
        <div id="custommenu">
        
        <?php echo $custommenu; ?></div>
        
        </div>
        
        
        <?php } ?>
    </div>
<!-- END OF HEADER -->

    <div id="page-content">
        <div id="region-main-box">
            <div id="region-post-box">

                <div id="region-main-wrap">
                    <div id="region-main">
                         <div class="region-content">
                        
                          <?php if($CFG->version <= 2011120500)
                             		echo core_renderer::MAIN_CONTENT_TOKEN;
                             	else
                             		echo $OUTPUT->main_content(); ?>
                             		
                        </div>
                    </div>
                </div>

                <?php if ($hassidepre) { ?>
                <div id="region-pre" class="block-region">
                    <div class="region-content">
                        <?php echo $OUTPUT->blocks_for_region('side-pre') ?>
                    </div>
                </div>
                <?php } ?>

                <?php if ($hassidepost) { ?>
                <div id="region-post" class="block-region">
                    <div class="region-content">
                        <?php echo $OUTPUT->blocks_for_region('side-post') ?>
                    </div>
                </div>
                <?php } ?>

            </div>
        </div>
    </div>

<!-- START OF FOOTER -->
    <div id="page-footer">
    	 
        <p class="helplink">
        <?php echo page_doc_link(get_string('moodledocslink')) ?>
        </p>

        <?php
        echo $OUTPUT->login_info();
        echo $OUTPUT->home_link();
        echo $OUTPUT->standard_footer_html();
        ?>
        
    </div>
    
   
    
    <div class="clearboth"></div>

</div>
<?php echo $OUTPUT->standard_end_of_body_html() ?>
</body>
</html>