<?php
require_once($CFG->libdir.'/formslib.php');


function sencillo_user_settings($css, $theme) {

    // Set the page header color
    if (empty($theme->settings->headerbgc)) {
        $headerbgc = '#fbbc00'; // default 
    } else {
        $headerbgc = $theme->settings->headerbgc;
    }
    
    $css = sencillo_set_headerbgc($css, $headerbgc);
    
    if (empty($theme->settings->footerbgc)) {
        $footerbgc = '#000'; // default 
    } else {
        $footerbgc = $theme->settings->footerbgc;
     
    }
 
	$css = sencillo_set_footerbgc($css, $footerbgc);
	
	// Set the Menu content background color
if (empty($theme->settings->menubgc)) {
        $menubgc = '#831107'; // default
    } else {
        $menubgc = $theme->settings->menubgc;
    }
    $css = sencillo_set_menubgc($css, $menubgc);

        
       // Set the block content background color
if (empty($theme->settings->blockcontentbgc)) {
        $blockcontentbgc = '#e8e0cb'; // default
    } else {
        $blockcontentbgc = $theme->settings->blockcontentbgc;
    }
    $css = sencillo_set_blockcontentbgc($css, $blockcontentbgc);
    // Set the block header background color
    if (empty($theme->settings->blockhedingbgc)) {
        $blockhedingbgc = '#ad957a'; // default
    } else {
        $blockhedingbgc = $theme->settings->blockhedingbgc;
  
    }
    $css = sencillo_set_blockhedingbgc($css, $blockhedingbgc);    
        
      //set the link color
    if (!empty($theme->settings->linkcolor)) {
        $linkcolor = $theme->settings->linkcolor;
    } else {
        $linkcolor = null;
    }
    $css = sencillo_set_linkcolor($css, $linkcolor);

    

    // Return the CSS
    return $css;
   
}



/**
 * Sets the link color variable in CSS
 *
 */
function sencillo_set_headerbgc($css, $headerbgc) {
	
    $tag = '[[setting:headerbgc]]';
    $css = str_replace($tag, $headerbgc, $css);
    
    return $css;
}

function sencillo_set_footerbgc($css, $footerbgc) {
	
    $tag = '[[setting:footerbgc]]';
    $css = str_replace($tag, $footerbgc, $css);
    
    return $css;
}
function sencillo_set_menubgc($css, $menubgc) {
	
    $tag = '[[setting:menubgc]]';
    $css = str_replace($tag, $menubgc, $css);
    
    return $css;
}
function sencillo_set_blockcontentbgc($css, $blockcontentbgc) {
    $tag = '[[setting:blockcontentbgc]]';
    $css = str_replace($tag, $blockcontentbgc, $css);
    return $css;
}
function sencillo_set_blockhedingbgc($css, $blockhedingbgc) {
    $tag = '[[setting:blockhedingbgc]]';
    $css = str_replace($tag, $blockhedingbgc, $css);
    return $css;
}

function sencillo_set_linkcolor($css, $linkcolor) {
    $tag = '[[setting:linkcolor]]';
    $replacement = $linkcolor;
    if (is_null($replacement)) {
        $replacement = '#06365b';
    }
    $css = str_replace($tag, $replacement, $css);
    return $css;
}
